CVE-2017-16804

NameCVE-2017-16804
DescriptionIn Redmine before 3.2.7 and 3.3.x before 3.3.4, the reminders function in app/models/mailer.rb does not check whether an issue is visible, which allows remote authenticated users to obtain sensitive information by reading e-mail reminder messages.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium (attack range: remote)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
redmine (PTS)wheezy1.4.4+dfsg1-2+deb7u1vulnerable
jessie3.0~20140825-8~deb8u4vulnerable
jessie (security)3.0~20140825-8~deb8u2vulnerable
stretch3.3.1-4vulnerable
sid3.4.2-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
redminesource(unstable)3.4.2-1medium
redminesourcewheezy(unfixed)end-of-life

Notes

[wheezy] - redmine <end-of-life> (Not supported in wheezy LTS)
https://www.redmine.org/issues/25713 (private)
upstream fixed in 3.2.7, 3.3.4 and 3.4.0
https://github.com/redmine/redmine/commit/0f09f161f64f4190a52166675ff380a15b72a8bc

Search for package or bug name: Reporting problems